import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { defineComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { toRefs, unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "points"];
const _hoisted_4 = ["fill"];
const _hoisted_5 = ["fill", "cx"];
const _hoisted_6 = ["fill", "cx", "cy"];
const _hoisted_7 = ["fill", "cy"];
const _hoisted_8 = ["stroke", "points"];
const _hoisted_9 = ["stroke", "points"];
const _hoisted_10 = ["stroke", "points"];
const _hoisted_11 = ["stroke", "points"];
const _hoisted_12 = ["stroke"];
const _hoisted_13 = ["stroke"];
const _hoisted_14 = ["stroke", "points"];
const _hoisted_15 = ["stroke", "points"];
const _hoisted_16 = ["stroke", "points"];
const _hoisted_17 = ["stroke", "points"];
const _hoisted_18 = ["stroke", "points"];
const _hoisted_19 = ["stroke", "points"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        (openBlock(), createElementBlock("svg", {
          width: unref(w),
          height: unref(h)
        }, [
          createBaseVNode("polygon", {
            fill: unref(backgroundColor),
            points: ` 9, 7 ${unref(w) - 9}, 7 ${unref(w) - 9}, ${unref(h) - 7} 9, ${unref(h) - 7}`
          }, null, 8, _hoisted_3),
          createBaseVNode("circle", {
            fill: unref(colors)[1],
            cx: "5",
            cy: "5",
            r: "2"
          }, null, 8, _hoisted_4),
          createBaseVNode("circle", {
            fill: unref(colors)[1],
            cx: unref(w) - 5,
            cy: "5",
            r: "2"
          }, null, 8, _hoisted_5),
          createBaseVNode("circle", {
            fill: unref(colors)[1],
            cx: unref(w) - 5,
            cy: unref(h) - 5,
            r: "2"
          }, null, 8, _hoisted_6),
          createBaseVNode("circle", {
            fill: unref(colors)[1],
            cx: "5",
            cy: unref(h) - 5,
            r: "2"
          }, null, 8, _hoisted_7),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `10, 4 ${unref(w) - 10}, 4`
          }, null, 8, _hoisted_8),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `10, ${unref(h) - 4} ${unref(w) - 10}, ${unref(h) - 4}`
          }, null, 8, _hoisted_9),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `5, 70 5, ${unref(h) - 70}`
          }, null, 8, _hoisted_10),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `${unref(w) - 5}, 70 ${unref(w) - 5}, ${unref(h) - 70}`
          }, null, 8, _hoisted_11),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `3, 10, 3, 50`
          }, null, 8, _hoisted_12),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `7, 30 7, 80`
          }, null, 8, _hoisted_13),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `${unref(w) - 3}, 10 ${unref(w) - 3}, 50`
          }, null, 8, _hoisted_14),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `${unref(w) - 7}, 30 ${unref(w) - 7}, 80`
          }, null, 8, _hoisted_15),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `3, ${unref(h) - 10} 3, ${unref(h) - 50}`
          }, null, 8, _hoisted_16),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `7, ${unref(h) - 30} 7, ${unref(h) - 80}`
          }, null, 8, _hoisted_17),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `${unref(w) - 3}, ${unref(h) - 10} ${unref(w) - 3}, ${unref(h) - 50}`
          }, null, 8, _hoisted_18),
          createBaseVNode("polyline", {
            stroke: unref(colors)[0],
            points: `${unref(w) - 7}, ${unref(h) - 30} ${unref(w) - 7}, ${unref(h) - 80}`
          }, null, 8, _hoisted_19)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
export {
  _sfc_main as default
};
